#ifndef EXIT_DOOR_HPP
#define EXIT_DOOR_HPP

#include "godot_cpp/classes/animation_player.hpp"
#include <godot_cpp/classes/node3d.hpp>

namespace godot {
class ExitDoor : public Node3D {
    GDCLASS(ExitDoor, Node3D);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    void all_keys_found();
private:
    AnimationPlayer *player{nullptr};
};
}

#endif // !EXIT_DOOR_HPP
